{% extends 'dashboard/dashboard_content.html' %}

{% block title %}
    My Assignments
{% endblock %}

{% block rightPane %}

    <div class="x_panel" xmlns="http://www.w3.org/1999/html">
        <div class="x_title">
            <h2>
                <i class="fa fa-book"></i>
                View My Assignments
            </h2>
            <div class="clearfix"></div>
        </div>

        <div class="x_content">
            <div class="row">
                <ul class="nav nav-tabs bar_tabs">
                    {% for staffCourse in courseList %}
                        <li {% if staffCourseInstance.pk == staffCourse.pk %}class="active" {% else %}
                            class="" {% endif %}>
                            <a aria-expanded="true"
                               id={{ staffCourse.pk }}
                                       data-toggle="tab" name="courseTab"
                               onmouseover="$(this).css('cursor', 'pointer')">
                                {% if staffCourse.course.code %}
                                    {{ staffCourse.course.code }}
                                {% else %}
                                    {{ staffCourse.course.course_id }}
                                {% endif %}
                            </a>
                        </li>
                    {% endfor %}
                </ul>
            </div>
        </div>

        <form method="POST">{% csrf_token %}
            <div class="row">

            </div>
            {% for assignment in assignmentList %}
                <br>
                <div>
                    <div class="col-md-10 col-sm-8 col-md-offset-1 col-sm-offset-2">
                        <table class="table table-bordered table-striped">
                            <thead>

                            </thead>
                            <tbody>

                            <tr>
                                <td class="info"
                                    align="center"
                                    style="font-weight: bold">Title
                                </td>
                                <td class="success"
                                    align="center"
                                    style="font-weight: bold">
                                    {{ assignment.title }}
                                </td>
                            </tr>
                            {% if assignment.description %}
                                <tr>
                                    <td class="info"
                                        align="center"
                                        style="font-weight: bold">Description
                                    </td>
                                    <td colspan="2" class="success"
                                        align="center"
                                        style="font-weight: bold">
                                        {{ assignment.description }}
                                    </td>
                                </tr>
                            {% endif %}
                            <tr>
                                <td class="info"
                                    align="center"
                                    style="font-weight: bold">Due Date
                                </td>
                                <td class="success"
                                    align="center"
                                    style="font-weight: bold">
                                    {{ assignment.last_date|date }}
                                </td>
                            </tr>
                            <tr>
                                <td class="info"
                                    align="center"
                                    style="font-weight: bold">File
                                </td>
                                <td class="success"
                                    align="center"
                                    style="font-weight: bold">
                                    <a href="{{ assignment.files.first.file }}">{{ assignment.files.first.name }}</a>
                                </td>
                            </tr>

                            </tbody>
                        </table>
                    </div>
                </div>
            {% endfor %}
        </form>
    </div>

    <form id="dummy_form" method="POST">
        {% csrf_token %}
    </form>

    <script type="text/javascript">

        $('document').ready(function () {
            $('[name="courseTab"]').click(function () {

                var $hiddenInput = $('<input/>', {
                    type: 'hidden',
                    value: getCookie('csrftoken'),
                    name: 'csrfmiddlewaretoken'
                });
                $hiddenInput.appendTo('form');

                var $hiddenInput = $('<input/>', {type: 'hidden', value: this.id, name: 'staffCoursePk'});
                $hiddenInput.appendTo('form');

                $('#dummy_form').submit();

            });
        });

    </script>

{% endblock %}